% function solverpath(solver,action)
%
% This function adds or removes the directories needed
% for a solver.  The directories are prepended to the
% path which essentially gives the solver functions
% highest priority.
%
% Input:
%   SOLVER    A string which specifies the solver to be used.
%               Valid choices: sdpha, sdppack, sdpt3, sedumi, or sp
%   ACTION    A string which specifies the action
%               Valid choices: addsolver, rmsolver
%

function solverpath(solver,action);

% Get Solver directories
BASE = 'C:\MATLAB6p5\local\';
if strcmpi(solver,'sdpha');
  SOLVER = 'SDPHA';
elseif strcmpi(solver,'sdppack');
  SOLVER = 'sdppack';
elseif strcmpi(solver,'sdpt3');
  SOLVER = 'SDPT3-3.02';
elseif strcmpi(solver,'sedumi');
  SOLVER = 'SeDuMi103';
elseif strcmpi(solver,'sp');
  SOLVER = 'sp';
else
  error( sprintf(['The input SOLVER must be one of ' ... 
	'the following strings: \n' ...
	'\t sdpha, sdppack, sdpt3, sedumi, or sp']) ); 
end
D = genpath([BASE SOLVER]);

% Change path
if strcmp(action,'addsolver');
  path(path,D);
elseif strcmp(action,'rmsolver');
  rmpath(D);
else
  error('Not a valid action.  Valid choices are addsolver or rmsolver');
end




